org.jbpm.bpmn2.xml

## Class SubProcessHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.SubProcessHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    TransactionHandler

      public class SubProcessHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubProcessHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyAsync(Node node, boolean isAsync)`
    `protected Node` | `createNode(Attributes attrs)`
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `Class` | `generateNodeFor()`
    `protected void` | `handleCompositeContextNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleForEachNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, boolean isAsync)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### SubProcessHandler

          public SubProcessHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### end

          public Object end(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleCompositeContextNode

          protected void handleCompositeContextNode(Node node,
                                                    Element element,
                                                    String uri,
                                                    String localName,
                                                    org.drools.core.xml.ExtensibleXmlParser parser)
                                             throws SAXException

      Throws:
        `SAXException`

    - #### handleForEachNode

          protected void handleForEachNode(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser,
                                           boolean isAsync)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### applyAsync

          protected void applyAsync(Node node,
                                    boolean isAsync)

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.